{
  "format_version": "1.19.0",
  "animation_controllers": {
    "controller.animation.pr_fossil_tiktaalik.general": {
      "initial_state": "flopping",
      "states": {
        "flopping": {
          "animations": [
            "flop"
          ],
          "transitions": [
            {
              "swimming": "query.is_in_water || query.is_levitating"
            }
          ]
        },
        "swimming": {
          "animations": [
            "swim"
          ],
          "transitions": [
            {
              "flopping": "!query.is_in_water && !query.is_levitating"
            }
          ]
        }
      }
    }
  }
}